%global pypi_name gevent-websocket
%if 0%{?fedora}
# python3 upstream not ready
# https://bitbucket.org/noppo/gevent-websocket/issues/54/python-3-support
%global with_python3 0
%endif

Name:           python-%{pypi_name}
Version:        0.9.5
Release:        5%{?dist}
Summary:        Websocket handler for the gevent pywsgi server

License:        ASL 2.0
URL:            https://bitbucket.org/noppo/gevent-websocket
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch



%description
gevent-websocket is a websocket library for the gevent networking library
written written and maintained by Jeffrey Gelens. It is licensed under the
BSD license.


%package -n python2-%{pypi_name}
Summary:  Websocket handler for the gevent pywsgi server

%{?python_provide:%python_provide python2-%{pypi_name}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
Requires:       python2-gevent
Requires:       python2-greenlet

%description -n python2-%{pypi_name}
gevent-websocket is a websocket library for the gevent networking library
written written and maintained by Jeffrey Gelens. It is licensed under the
BSD license.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:  Websocket handler for the gevent pywsgi server

%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-gevent
Requires:       python3-greenlet

%description -n python3-%{pypi_name}
gevent-websocket is a websocket library for the gevent networking library
written written and maintained by Jeffrey Gelens. It is licensed under the
BSD license.
%endif

%prep
%autosetup -n %{pypi_name}-%{version}



%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif


%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif


%files -n python2-%{pypi_name}
%doc README.rst
%license LICENSE
%{python2_sitelib}/geventwebsocket
%{python2_sitelib}/gevent_websocket-%{version}-py%{python_version}.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/geventwebsocket
%{python3_sitelib}/gevent_websocket-%{version}-py%{python_version}.egg-info
%endif

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jun 13 2016 Matthias Runge <mrunge@redhat.com> - 0.9.5-2
- fix provides

* Thu Jun 09 2016 Matthias Runge <mrunge@redhat.com> - 0.9.5-1
- update to 0.9.5, modernize spec, provide (disabled) python3 subpackage

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 29 2013 Matthias Runge <mrunge@redhat.com> - 0.3.6-2
- add BR python-setuptools

* Wed Apr 17 2013 Matthias Runge <mrunge@redhat.com> - 0.3.6-1
- Initial package.
